Flex Air Application install/update Error


Hi Friends,

I am releasing an another version of my AIR application so I thought I can use updater class provided by AIR. I have developed the new version but when I try to install the new version, It prompts me a error

“This application cannot be installed because this installer has been mis-configured. Please contact the application author for assistance.”

Now what to do? It had been a couple weeks since I had done a build, during which time I had cleaned off my desktop including the certificate I had made for previous installs. When I ran through the installer this time I had just created a new one thinking nothing of it. Then I come to know that certificate is only the issue.

I suppose it makes sense in the end, that is the whole purpose of the certificate, it disables somebody else from hijacking your application. So rule of thumb, don’t switch the Certificates!

I thought I’d share the problem with everyone in case you are having the same issue. Just to inform you that never delete the certificate using which you are building your AIR application.

Thanks,
Jaswant

Advertisements